summaryrefslogtreecommitdiffstats
path: root/tests/rscript_str2num_negative.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tests/rscript_str2num_negative.sh')
-rwxr-xr-xtests/rscript_str2num_negative.sh25
1 files changed, 25 insertions, 0 deletions
diff --git a/tests/rscript_str2num_negative.sh b/tests/rscript_str2num_negative.sh
new file mode 100755
index 0000000..b76ddf9
--- /dev/null
+++ b/tests/rscript_str2num_negative.sh
@@ -0,0 +1,25 @@
+#!/bin/bash
+# add 2017-02-09 by Jan Gerhards, released under ASL 2.0
+. ${srcdir:=.}/diag.sh init
+generate_conf
+add_conf '
+module(load="../plugins/imtcp/.libs/imtcp")
+input(type="imtcp" port="0" listenPortFileName="'$RSYSLOG_DYNNAME'.tcpflood_port")
+
+set $.n = "-1";
+set $!ip!v1 = 1 + $.n;
+
+template(name="outfmt" type="string" string="%!ip%\n")
+local4.* action(type="omfile" file=`echo $RSYSLOG_OUT_LOG` template="outfmt")
+'
+startup
+tcpflood -m1
+shutdown_when_empty
+wait_shutdown
+echo '{ "v1": 0 }' | cmp - $RSYSLOG_OUT_LOG
+if [ ! $? -eq 0 ]; then
+ echo "invalid function output detected, $RSYSLOG_OUT_LOG is:"
+ cat $RSYSLOG_OUT_LOG
+ error_exit 1
+fi;
+exit_test